The Angular Barcode Generator component is a lightweight, high-performance control that displays industry-standard 1D and 2D barcodes in Angular applications. Generated barcodes are optimized for printing and on-screen scanning. The component is designed for ease of use and does not require fonts.
The Angular Barcode Generator is easily customizable. You can customize its color (dark or light), height, width, and more.
The Angular Barcode Generator lets you display a barcode with or without text and provides alignment options.
The Syncfusion Angular Barcode Generator component supports a wide range of barcode symbologies.
Quick response codes (QR codes) are two-dimensional barcodes. They can efficiently store more information in a smaller space than 1D barcodes. Each barcode can store values up to 7,089 characters. They are mostly used for URLs, business cards, and contact information.
A Data Matrix is a two-dimensional barcode. The information encoded should be text or numeric values. Each barcode can store values up to 2,335 alphanumeric characters. They are mostly used by couriers and the food industry.
Code 39 is a common barcode type used for various labels such as on name badges, inventory, and in industrial applications. The symbology of the Code 39 character set consists of barcode symbols representing numbers 0-9, uppercase letters A-Z, and the space character.
The Code 39 Extended is an extended version of Code 39. Lower characters and special characters are supported.
Code 11, also known as USD-8, is high numeric symbology. The character set includes the digits 0-9, the hyphen symbol ( - ), and start and stop characters. It is commonly used in telecommunications.
Codabar is also known as USD-4 and Code 2 of 7. It can encode the digits 0-9, six symbols, and start and stop characters. It is even possible to print Codabar codes using typewriter-like impact printers, which allows the creation of many codes with consecutive numbers without having to use a computer.
The Code 32 is also known as Italian Pharmacode. It has the following structure: the ‘A’ character that is not really encoded, eight digits for Pharmacode, and one digit for Checksum module 10 that is automatically calculated by Barcode Professional.
Code 93 was designed to complement and improve Code 39. It is used to represent the full ASCII character set by using combinations of two characters. Code 93 can encode uppercase letters, numeric digits, and a handful of special characters.
Code 93 Extended is based on Code 93, but it can encode the full 128-character ASCII. The characters represented by Code 93 are represented in Code 93 Extended as single barcode characters, but all other characters are represented by a control character plus another character.
Code 128 is a very high-density barcode that supports alphanumeric characters. This barcode is used as the basis for many other barcodes like UCC/EAN, HIBC (health industry barcode), and the blood bank industry.
The universal product code (UPC-A) is a numeric symbology used in retail. UPC-A symbols consist of 11 data digits and one check digit. The first digit is a number system digit that normally represents the type of product being identified.
You can customize the alignment, position, and margins of the barcode and QR code text.
Barcode is also available in Blazor, React, Vue, and JavaScript frameworks. Check out the different Barcode platforms from the links below,
Easily get started with the Angular BarCode using a few simple lines of HTML and TS code example as demonstrated below. Also explore our Angular BarCode Example that shows you how to render and configure a BarCode in Angular.
<div class="control-wrapper">
<div class='center'>
<div class='centercontrol' style="width:200px;height:200px">
<ejs-barcodegenerator style="display: block;" #barcode id="barcode" width="200px" height="150px"
mode="SVG" (invalid)="invalidInput($event)" type="Ean8" value="11223344">
</ejs-barcodegenerator>
</div>
</div>
</div>
import { Component } from "@angular/core";
@Component({
selector: "app-container",
// specifies the template string for the barcode generator component
template: `<ejs-barcodegenerator style="display: block;" #barcode id="barcode" width="200px" height="150px" mode="SVG" type="Codabar" value="123456789">`
})
export class AppComponent {}
You can find our Angular Barcode demo, which demonstrates how to render and configure the Barcode.
No, this is a commercial product and requires a paid license. However, a free community license is also available for companies and individuals whose organizations have less than $1 million USD in annual gross revenue and five or fewer developers.
A good place to start would be our comprehensive getting started documentation.
Greatness—it’s one thing to say you have it, but it means more when others recognize it. Syncfusion is proud to hold the following industry awards.

We use cookies to give you the best experience on our website. If you continue to browse, then you agree to our privacy policy and cookie policy. Image for the cookie policy date
Unfortunately, activation email could not send to your email. Please try again.
Syncfusion Feedback

Trusted by the world’s leading companies

Syncfusion Trusted Companies

Overview

The React Barcode Generator component is a lightweight, high-performance component that displays industry-standard 1D and 2D barcodes in React applications. Generated barcodes are optimized for printing and on-screen scanning. The component is designed for ease of use and does not require fonts.


Customization

The React Barcode Generator is easily customizable. You can customize its color (dark or light), height, width, and more.

Customizable options in React Barcode Scanner


Label

The React Barcode Generator lets you display a barcode with or without text and provides alignment options.

label option in React Barcode Scanner


Barcode symbologies

The Syncfusion React Barcode Generator component supports a wide range of barcode symbologies.

Qrcode in React Barcode Scanner

QR code

Quick response codes (QR codes) are two-dimensional barcodes. They can efficiently store more information in a smaller space than 1D barcodes. Each barcode can store values up to 7,089 characters. They are mostly used for URLs, business cards, and contact information.

Datamatrix in React Barcode Scanner

Data Matrix

A Data Matrix is a two-dimensional barcode. The information encoded should be text or numeric values. Each barcode can store values up to 2,335 alphanumeric characters. They are mostly used by couriers and the food industry.

Code39 in React Barcode Scanner

Code 39

Code 39 is a common barcode type used for various labels such as on name badges, inventory, and in industrial applications. The symbology of the Code 39 character set consists of barcode symbols representing numbers 0-9, uppercase letters A-Z, and the space character.

Code39 Extended in React Barcode Scanner

Code 39 Extended

The Code 39 Extended is an extended version of Code 39. Lower characters and special characters are supported.

Code11 in React Barcode Scanner

Code 11

Code 11, also known as USD-8, is high numeric symbology. The character set includes the digits 0-9, the hyphen symbol ( - ), and start and stop characters. It is commonly used in telecommunications.

Codabar in React Barcode Scanner

Codabar

Codabar is also known as USD-4 and Code 2 of 7. It can encode the digits 0-9, six symbols, and start and stop characters. It is even possible to print Codabar codes using typewriter-like impact printers, which allows the creation of many codes with consecutive numbers without having to use a computer.

Code32 in React Barcode Scanner

Code 32

The Code 32 is also known as Italian Pharmacode. It has the following structure: the ‘A’ character that is not really encoded, eight digits for Pharmacode, and one digit for Checksum module 10 that is automatically calculated by Barcode Professional.

Code93 in React Barcode Scanner

Code 93

Code 93 was designed to complement and improve Code 39. It is used to represent the full ASCII character set by using combinations of two characters. Code 93 can encode uppercase letters, numeric digits, and a handful of special characters.

Code93 Extended in React Barcode Scanner

Code 93 Extended

Code 93 Extended is based on Code 93, but it can encode the full 128-character ASCII. The characters represented by Code 93 are represented in Code 93 Extended as single barcode characters, but all other characters are represented by a control character plus another character.

Code128 in React Barcode Scanner

Code 128

Code 128 is a very high-density barcode that supports alphanumeric characters. This barcode is used as the basis for many other barcodes like UCC/EAN, HIBC (health industry barcode), and the blood bank industry.

UpcA in React Barcode Scanner

UPC - A

The universal product code (UPC-A) is a numeric symbology used in retail. UPC-A symbols consist of 11 data digits and one check digit. The first digit is a number system digit that normally represents the type of product being identified.


Customizing the text

You can customize the alignment, position, and margins of the barcode and QR code text.


Other supported frameworks

Barcode component is also available in Blazor, Vue, Angular, and JavaScript frameworks. Check out the different Barcode platforms from the links below,


React BarCode Component Code Example

Easily get started with the React BarCode using a few simple lines of HTML and TS code example as demonstrated below. Also explore our React BarCode Example that shows you how to render and configure a BarCode in React.

<div className="col-lg-8 control-section" style=>
    <div className="content-wrapper" style=>
        <div className='center'>
            <div className='centercontrol'>
                <BarcodeGeneratorComponent id="barcode" ref={barcode => (barcodeInstance = barcode)} width={"200px"} height={"150px"} invalid={(arg) => {
                canShowError = true;
                this.formObject.validate();
            }} mode='SVG' type='Ean8' value='11223344'></BarcodeGeneratorComponent>
            </div>
        </div>
    </div>
</div>
import * as React from "react";
import { DropDownListComponent } from "@syncfusion/ej2-react-dropdowns";
import { TextBoxComponent, FormValidator } from '@syncfusion/ej2-react-inputs';
import { BarcodeGeneratorComponent } from "@syncfusion/ej2-react-barcode-generator";
import { SampleBase } from "../common/sample-base";
import { NumericTextBoxComponent, ColorPickerComponent } from "@syncfusion/ej2-react-inputs";
import { CheckBoxComponent } from "@syncfusion/ej2-react-buttons";
let canShowError = false;
let customFn = (args) => {
    if (canShowError) {
        return false;
    }
    return true;
};
let options = {
    rules: {
        'textbox_0': { minLength: [customFn, 'Invalid input'] },
}



80+ REACT UI COMPONENTS

Frequently Asked Questions

  • Support for most common 1D and 2D barcodes.
  • Support for complete customization of a barcode to augment its appearance.
  • Ease of use and integration.
  • Support for a wide range of barcode symbologies.
  • Support for all modern browsers.
  • Extensive demos and documentation let you get started quickly with the React Barcode Generator.

You can find our React Barcode demo, which demonstrates how to render and configure the Barcode.

No, this is a commercial product and requires a paid license. However, a free community license is also available for companies and individuals whose organizations have less than $1 million USD in annual gross revenue and five or fewer developers.

A good place to start would be our comprehensive getting started documentation.

Our Customers Love Us

Having an excellent set of tools and a great support team, Syncfusion reduces customers’ development time.
Here are some of their experiences.

Rated by users across the globe

Transform your applications today by downloading our free evaluation version Download Free Trial

Awards

Greatness—it’s one thing to say you have it, but it means more when others recognize it. Syncfusion is proud to hold the following industry awards.

Up arrow icon

Warning Icon You are using an outdated version of Internet Explorer that may not display all features of this and other websites. Upgrade to Internet Explorer 8 or newer for a better experience.Close Icon

Live Chat Icon For mobile

We use cookies to give you the best experience on our website. If you continue to browse, then you agree to our privacy policy and cookie policy. Image for the cookie policy date
Unfortunately, activation email could not send to your email. Please try again.
Syncfusion Feedback

Trusted by the world’s leading companies

Syncfusion Trusted Companies

Overview

The Barcode (QR Code) generator component for Vue is a light-weight and high-performance component that displays industry-standard 1D and 2D barcodes in Vue applications. Generated barcodes are optimized for printing and on-screen scanning. It is designed for ease of use and does not require fonts.


Customization

The Vue barcode generator is easily customizable. The barcode provides an option to customize its color (dark or light), height, width, and more.

Customizable options


Label

The Vue barcode generator provides an option to display a barcode with or without text along with alignment options in Vue.

Barcode input text


Barcode symbologies

The Syncfusion Vue barcode generator control supports a wide range of barcode symbologies.

Qrcode barcode

QR Code

The Quick Response code (QR code) is a two-dimensional barcode. It can efficiently store more information in a smaller space than 1D barcodes. Each barcode can store values up to 7089 characters. It is mostly used for URLs, business cards, contact information, and more.

Datamatrix barcode

Data Matrix

A Data Matrix is a two-dimensional barcode. The information should be encoded with text or numeric values. Each barcode can store values up to 2335 alphanumeric characters. It is mostly used by couriers, food industry, and more.

Code39 barcode

Code 39

Code 39 is a common barcode type used for various labels such as name badges, inventory, and industrial applications. The symbology of the Code 39-character set consists of barcode symbols representing numbers 0-9, upper-case letters A-Z, and the space character.

Code39 Extended barcode

Code 39 Extended

The Code 39 Extended is an extended version of Code 39. Additionally, lower characters and special characters are supported.

Code11 barcode

Code 11

The Code 11 is also known as USD-8, high numeric symbology. The character set includes the digits 0-9, a dash symbol ( - ), and start and stop characters. It is commonly used in telecommunications.

Codabar barcode

Codabar

The Codabar is also known as USD-4 and Code 2 of 7. It can encode 0-9 digits, six symbols, and start and stop characters. It is even possible to print Codabar codes using typewriter-like impact printers, which allows the creation of many codes with consecutive numbers without having to use a computer.

Code32 barcode

Code 32

The Code 32 is also known as Italian Pharmacode. It is used to encode Italian Pharmacode, which has the following structure: ‘A’ character that is not really encoded, 8 digits for Pharmacode, and 1 digit for Checksum module 10 that is automatically calculated by Barcode Professional.

Code93 barcode

Code 93

Code 93 was designed to complement and improve Code 39. It is used to represent the full ASCII character set by using combinations of 2 characters. Code 93 can encode uppercase letters, numeric digits, and a handful of special character.

Code93 Extended barcode

Code 93 Extended

It is based on Code 93, but can encode full 128-character ASCII. The characters represented by Code 93 are represented in Code 93 Extended as single barcode characters, but all other characters are represented by a control character plus another character.

Code128 barcode

Code 128

It is a very high-density barcode that supports alphanumeric characters. This barcode is used as the basis for many other barcodes like UCC/EAN, HIBC (Health Industry Barcode), and the Blood Bank Industry.

UpcA barcode

UPC - A

The Universal Product Code (UPC -A) is a numeric symbology used in retail applications. UPC-A symbols consist of 11 data digits and one check digit. The first digit is a number system digit that normally represents the type of product being identified.


Other supported frameworks

The Barcode component is also available in Blazor, React, Angular, and JavaScript frameworks. Check out the different Barcode platforms from the links below,


Vue Barcode Code Example

Easily get started with the Vue Barcode using a few simple lines of Vue codes as demonstrated below. Also explore our Vue Barcode Example that shows you how to render and configure a Barcode in Vue.

<template>
<div id="app" class="barcodeStyle">
    <ejs-barcodegenerator
          id="barcode"
          ref="barcodeControl"
          :width="width"
          :height="height"
          :type="type"
          :value="value"
          :mode="mode"
        ></ejs-barcodegenerator>

</div>
</template>
<style>
.barcodeStyle 
            {
                height: 150px;
                width: 200px;
                padding-left: 40%;
                padding-top: 9%;
            }
</style>
<script>
import Vue from 'vue';
import { BarcodeGeneratorPlugin } from '@syncfusion/ej2-vue-barcode-generator';

Vue.use(BarcodeGeneratorPlugin);
export default {
name: 'app'
data () {
    return {
        width: "200px",
        height: "150px",
        type: "Codabar",
        value: "123456789",
        mode: "SVG",
    }
}
}
</script>



80+ VUE UI COMPONENTS

Frequently Asked Questions

  • Support for most common 1D and 2D barcodes.
  • Support for complete customization of a barcode to augment its appearance.
  • Ease of use and integration.
  • Support for a wide range of barcode symbologies.
  • Support for all modern browsers.
  • Extensive demos and documentation to learn quickly and get started with Vue Barcode Generator.

You can find our Vue Barcode demo here.

No, this is a commercial product and requires a paid license. However, a free community license is also available for companies and individuals whose organizations have less than $1 million USD in annual gross revenue and five or fewer developers.

A good place to start would be our comprehensive getting started documentation.

Our Customers Love Us

Having an excellent set of tools and a great support team, Syncfusion reduces customers’ development time.
Here are some of their experiences.

Rated by users across the globe

Transform your applications today by downloading our free evaluation version Download Free Trial

Awards

Greatness—it’s one thing to say you have it, but it means more when others recognize it. Syncfusion is proud to hold the following industry awards.

Up arrow icon

Warning Icon You are using an outdated version of Internet Explorer that may not display all features of this and other websites. Upgrade to Internet Explorer 8 or newer for a better experience.Close Icon

Live Chat Icon For mobile